# Interface methods for submodule: LevelSetNode
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: LevelSetNode
class LevelSetNodeProxy():
	@overload
	def GetValue(self) -> float:
		""""""
		...

	@overload
	def GetValue(self) -> int:
		""""""
		...

	@overload
	def SetValue(self, input: float) -> None:
		""""""
		...

	@overload
	def SetValue(self, input: int) -> None:
		""""""
		...

	def GetIndex(self) -> Sequence[int]:
		""""""
		...

	def SetIndex(self, input: Sequence[int]) -> None:
		""""""
		...

